<%--
  Licensed to the Apache Software Foundation (ASF) under one or more
   contributor license agreements.  The ASF licenses this file to You
  under the Apache License, Version 2.0 (the "License"); you may not
  use this file except in compliance with the License.
  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.  For additional information regarding
  copyright in this work, please see the NOTICE file in the top level
  directory of this distribution.
--%>
<%@ include file="/taglibs.jsp" %>
<script type="text/javascript">
<!--
function cancel() {
    document.weblogTemplateForm.method.value="cancel"; 
    document.weblogTemplateForm.submit();
}
-->
</script>

<roller:StatusMessage/>

<html:form action="/roller-ui/authoring/page" method="post">

	<p class="subtitle">
        <fmt:message key="pageForm.editPage" />:
        <bean:write name="weblogTemplateForm" property="name" />
	</p>
    <table cellspacing="5">
        <tr>
            <td class="label"><fmt:message key="pageForm.name" />&nbsp;</td>
            <td class="field">
                <c:choose>
                    <c:when test="${page.required}">
                        <html:text style="background: #e5e5e5" property="name" size="50" readonly="true"/>
                    </c:when>
                    <c:otherwise>
                        <html:text property="name" size="50"/>
                    </c:otherwise>
                </c:choose>
            </td>
            <td class="description"></td>
        </tr>
        
        <tr>
            <td class="label"><fmt:message key="pageForm.link" />&nbsp;</td>
            <td class="field">
                <c:choose>
                    <c:when test="${page.required}">
                        <html:text style="background: #e5e5e5" property="link" size="50" readonly="true"/>
                    </c:when>
                    <c:otherwise>
                        <html:text property="link" size="50"/>
                    </c:otherwise>
                </c:choose>
            </td>
            <td class="description"></td>
        </tr>
        
        <tr>
            <td class="label" valign="top" style="padding-top: 4px"><fmt:message key="pageForm.description" />&nbsp;</td>
            <td class="field">
                <c:choose>
                    <c:when test="${page.required}">
                        <html:textarea style="background: #e5e5e5" property="description" cols="50" rows="2" readonly="true"/>
                    </c:when>
                    <c:otherwise>
                        <html:textarea property="link" cols="50" rows="2" />
                    </c:otherwise>
                </c:choose>
            </td>
            <td class="description"></td>
        </tr>
        
        <c:choose>
        <c:when test="${page.required}">
            <html:hidden property="navbar" />
        </c:when>
        <c:otherwise>
            <tr>
                <td class="label"><fmt:message key="pageForm.navbar" />&nbsp;</td>
                <td class="field"><html:checkbox property="navbar" /> <fmt:message key="pageForm.navbar.tip" /></td>
                <td class="description"></td>
            </tr>
        </c:otherwise>
        </c:choose>
        
        <c:choose>
        <c:when test="${page.required}">
            <html:hidden property="hidden" />
        </c:when>
        <c:otherwise>
            <tr>
                <td class="label"><fmt:message key="pageForm.hidden" />&nbsp;</td>
                <td class="field"><html:checkbox property="hidden" /> <fmt:message key="pageForm.hidden.tip" /></td>
                <td class="description"></td>
            </tr>
        </c:otherwise>
        </c:choose>
    </table>
    
    <br />
    <html:textarea property="contents" cols="80" rows="30" style="width: 100%" />
            
    <html:hidden property="id"/>
    <html:hidden property="name"/>
    <html:hidden property="templateLanguage" />
    <html:hidden property="decoratorName" />
    <html:hidden property="required" />
    
    <input type="hidden" name="method" value="update" />
    <input type="hidden" name="weblog" value='<c:out value="${model.website.handle}" />' />

    <br />
    <input type="submit" value='<fmt:message key="pageForm.save" />' /></input>
    <input type="button" value='<fmt:message key="application.done" />' onclick="cancel()" /></input>

</html:form>

<%--
Added by Matt Raible since the focus javascript generated by Struts 
doesn't seem to work for forms with duplicate named elements.
--%>
<script type="text/javascript">
<!--
    document.forms[0].elements[0].focus();
// -->
</script>



